const Gtk = imports.gi.Gtk;
const Gettext = imports.gettext.domain('nls1729-extensions');

let README = [ "The Activities Text can be changed by entering New Text and then pressing the APPLY button.", "  ",
"The text spacing on the panel is adjustable with the Text Padding scale.", "  ",
"The text can be removed from the panel with the Hide Text switch.", "\n\n",
"The Activities Icon is selectable with the SELECT Icon button.", "  ",
"The icon spacing on the panel is adjustable with the Icon Padding scale.", "  ",
"The icon can be removed from the panel with the Hide Icon switch.", "\n\n",
"Text and icon padding is left and right horizontal padding in pixels.", "\n\n",
"The sensitivity of the hot corner is adjustable with the Hot Corner Sensitivity scale.", "  ",
"A small delay in milliseconds before activation of the hot corner can prevent an inadvertent mouse movement from toggling the Overview.", "  ",
"The default delay is 250 ms which seems to prevent most false Overview toggles.", "  ",
"The hot corner Overview switching is disabled with the Disable Hot Corner switch.",  "  ",
"If the hot corner is disabled the Overview can be toggled with the left super key.", "\n\n",
"The Activities Button can be removed with the Remove Activities Button switch.", "\n\n",
"The workspace background may appear more aesthetically pleasing without the black panel background.", "  ",
"The transparency of the panel background is adjustable with the Panel Transparency scale (0-100%).", "  ",
"The default is 0, no transparency or opaque.  100 is completely transparent.", "  ",
"This feature requires a workspace background of colors which contrast with icons and text displayed in the panel.", "\n\n",
"Extension settings are reset to their default values with the Extension Defaults RESET button.", "\n\n",
"The Extension Description README button displays this readme.", "\n\n",
"Conflicts with other enabled extensions can be detected with the Enable Conflict Detection switch.", "\n\n",
"Any extension which alters, moves or removes the original Activities Button may conflict with this extension.", "  ",
"An extension which alters the hot corner may conflict with this extension.", "  ",
"This extension attempts to avoid conflicts by delaying its activation at shell startup time.", "  ",
"The delay appears to resolve most conflicts allowing the extensions to function normally.", "  ",
"Extensions which duplicate the functions of this extension may affect or be affected when both are enabled.", "  ",
"If conflicting extensions have configurable settings using non-conflicting configurations can resolve conflicts.", "  ",
"Conflict Detection is disabled by default.  Enable only if you experience problems.", "\n\n",
"When Conflict Detection is enabled:", "\n\n",
"If a conflict is detected the Activities Configurator will notify of the event.", "  ",
"If a conflict is detected at session startup the Activities Configurator will not install its functionality when enabled.", "  ",
"If the conflict is detected after session startup the Activities Configurator will uninstall its functionality.", "\n\n",
"The conflict can be resolved by disabling the conflicting extension or this extension and restarting the session.", "\n\n"];

let CONFLICTS = ["A conflict between an enabled extension and the Activities Configurator Extension exists.", "  ",
"Please resolve the conflict by disabling the offending extension or disable the Activities Configurator and restart your session.", "  ",
"See the README of the Activities Configurator for additional information.", "\n"];

let showing = false;

function destroyed() {
    showing = false;
    return false;
}

function makeTextStr(strings) {
    let str = '';
    for(let i = 0; i < strings.length; i++) {
        str = str  + Gettext.gettext(strings[i]);
    }
    return str;
}

function showReadme() {
    if(showing)
        return;
    showing = true;
    let textStr = makeTextStr(README);
    let readmeWindow = new Gtk.Window({'type': Gtk.WindowType.TOPLEVEL,
                                       'title': 'Activities Configurator README'});
    let sw = new Gtk.ScrolledWindow({'hscrollbar-policy': Gtk.PolicyType.AUTOMATIC,
                                     'vscrollbar-policy': Gtk.PolicyType.AUTOMATIC,
                                     'hexpand': true,
                                     'vexpand': true});
    let tv = new Gtk.TextView({'wrap-mode': Gtk.WrapMode.WORD,
                               'editable': false});
    readmeWindow.set_size_request(600, 400);
    let grid = new Gtk.Grid({'margin': 10, 'row_spacing': 10, 'column_spacing': 10});
    sw.add(tv);
    grid.attach(sw, 0,0,1,1);
    readmeWindow.add(grid);
    readmeWindow.connect('delete-event', destroyed);
    tv.get_buffer().set_text(textStr, textStr.length);
    readmeWindow.show_all();
}

